Rendley docs

Collaboration

#Get an invitation by token

GET/v1/invitations/{token}

Retrieve a single invitation using its token.

Path parameters

tokenstring

Invitation token

Response codes
200

OK

401

Unauthorized

404

Not Found

#Accept an invitation

POST/v1/invitations/{token}/accept

Accept a collaboration invitation using its token.

Path parameters

tokenstring

Invitation token

Response codes
200

OK

401

Unauthorized

404

Not Found

#Decline an invitation

POST/v1/invitations/{token}/decline

Decline a collaboration invitation using its token.

Path parameters

tokenstring

Invitation token

Response codes
200

OK

401

Unauthorized

404

Not Found

#List collaborators

GET/v1/projects/{projectId}/collaborators

Retrieve all collaborators for a project.

Path parameters

projectIdstring

Project ID

Response codes
200

OK

401

Unauthorized

403

Forbidden

#Update a collaborator's role

PATCH/v1/projects/{projectId}/collaborators/{userId}

Update the role of a collaborator on a project.

Path parameters

projectIdstring

Project ID

userIdstring

User ID

Request body

role"viewer" | "editor"Required
Response codes
200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

#Remove a collaborator

DELETE/v1/projects/{projectId}/collaborators/{userId}

Remove a collaborator from a project.

Path parameters

projectIdstring

Project ID

userIdstring

User ID

Response codes
200

OK

401

Unauthorized

403

Forbidden

#List invitations

GET/v1/projects/{projectId}/invitations

Retrieve all invitations for a project.

Path parameters

projectIdstring

Project ID

Response codes
200

OK

401

Unauthorized

403

Forbidden

#Create an invitation

POST/v1/projects/{projectId}/invitations

Invite a user to collaborate on a project.

Path parameters

projectIdstring

Project ID

Request body

emailstringRequired
role"viewer" | "editor"Required
Response codes
200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

#Delete an invitation

DELETE/v1/projects/{projectId}/invitations/{invitationId}

Delete a pending invitation from a project.

Path parameters

projectIdstring

Project ID

invitationIdstring

Invitation ID

Response codes
200

OK

401

Unauthorized

403

Forbidden

#List shared projects

GET/v1/projects/shared

Retrieve all projects shared with the authenticated user.

Response codes
200

OK

401

Unauthorized